osl::stat::Probability Struct Reference

`#include <probability.h>`

## Public Member Functions

| Probability (unsigned long n=0, unsigned long d=0)
double | probability (double stabilizer=1.0) const
double | logProb (unsigned int stabilizer=1u) const
void | merge (const Probability &other)

## Public Attributes

unsigned long | numerator
unsigned long | denominator

## Detailed Description

Definition at line 12 of file probability.h.

## Constructor & Destructor Documentation

## Probability()

osl::stat::Probability::Probability | ( | unsigned long | n = 0,
|  | unsigned long | d = 0 )

inline explicit

Definition at line 15 of file probability.h.

References denominator, and numerator.

Referenced by merge().

## Member Function Documentation

## logProb()

double osl::stat::Probability::logProb | ( | unsigned int | stabilizer = 1u | ) | const

inline

Definition at line 24 of file probability.h.

References probability().

## merge()

void osl::stat::Probability::merge | ( | const Probability & | other | ) |

inline

Definition at line 30 of file probability.h.

References denominator, numerator, and Probability().

## probability()

double osl::stat::Probability::probability | ( | double | stabilizer = 1.0 | ) | const

inline

Definition at line 19 of file probability.h.

References denominator, and numerator.

Referenced by logProb().

## Member Data Documentation

## denominator

unsigned long osl::stat::Probability::denominator

Definition at line 14 of file probability.h.

Referenced by merge(), Probability(), and probability().

## numerator

unsigned long osl::stat::Probability::numerator

Definition at line 14 of file probability.h.

Referenced by merge(), Probability(), and probability().

The documentation for this struct was generated from the following file:

- probability.h